Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.comics
Class SomethingofthatIlk

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.IndexedComic
                  com.blogspot.applications4android.comicreader.comics.SomethingofthatIlk

    public class SomethingofthatIlk

extends IndexedComic

Field Summary

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.IndexedComic
`mBound, mLatestId`

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`SomethingofthatIlk()`

Method Summary
`java.lang.String` | `getComicWebPageUrl()` Get the main page url for the current comic series
`protected java.lang.String` | `getFrontPageUrl()` Return the front page URL from where to get the latest comic URL.
`protected int` | `getIdFromStripUrl(java.lang.String url)` Get the comic-id from strip URL
`java.lang.String` | `getStripUrlFromId(int num)` Get the strip URL from the input comic-id.
`protected boolean` | `htmlNeeded()` Whether one needs to parse the html file in order to find the strip url
`protected java.lang.String` | `parse(java.lang.String url, java.io.BufferedReader reader, Strip strip)` Function to read every line from the reader and extract strip-info
`protected int` | `parseForLatestId(java.io.BufferedReader reader)` Helper function to parse the latest comic's html page in order to get the latest comic id.

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.IndexedComic
`addException, dialogType, getBound, getCurrentId, getFirstId, getFirstStripUrl, getLatestId, getLatestStripUrl, getNextStripUrl, getPreviousStripUrl, getRandomStripUrl, urlsNotForCaching`

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic
`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousSessionStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, queryUid, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SomethingofthatIlk

    public SomethingofthatIlk()

Method Detail

### getFrontPageUrl

    protected java.lang.String getFrontPageUrl()

  Description copied from class: `IndexedComic`
  Return the front page URL from where to get the latest comic URL.

  Specified by:
    `getFrontPageUrl` in class `IndexedComic`
  Returns:
    front page URL

### getComicWebPageUrl

    public java.lang.String getComicWebPageUrl()

  Description copied from class: `Comic`
  Get the main page url for the current comic series

  Specified by:
    `getComicWebPageUrl` in class `Comic`
  Returns:
    desired url

### parseForLatestId

    protected int parseForLatestId(java.io.BufferedReader reader)
                            throws java.io.IOException,
                                   ComicLatestException

  Description copied from class: `IndexedComic`
  Helper function to parse the latest comic's html page in order to get the latest comic id.

  Specified by:
    `parseForLatestId` in class `IndexedComic`
  Parameters:
    `reader` - reader from which to parse for latest id
  Returns:
    latest comic id
  Throws:
    `java.io.IOException`
    `ComicLatestException`

### getStripUrlFromId

    public java.lang.String getStripUrlFromId(int num)

  Description copied from class: `IndexedComic`
  Get the strip URL from the input comic-id.

  Specified by:
    `getStripUrlFromId` in class `IndexedComic`
  Parameters:
    `num` - the comic-id
  Returns:
    the strip URL

### getIdFromStripUrl

    protected int getIdFromStripUrl(java.lang.String url)

  Description copied from class: `IndexedComic`
  Get the comic-id from strip URL

  Specified by:
    `getIdFromStripUrl` in class `IndexedComic`
  Parameters:
    `url` - comic url
  Returns:
    the comic-id

### htmlNeeded

    protected boolean htmlNeeded()

  Description copied from class: `ComicParser`
  Whether one needs to parse the html file in order to find the strip url

  Specified by:
    `htmlNeeded` in class `ComicParser`
  Returns:
    true if html is needed, else false

### parse

    protected java.lang.String parse(java.lang.String url,
                                     java.io.BufferedReader reader,
                                     Strip strip)
                              throws java.io.IOException

  Description copied from class: `ComicParser`
  Function to read every line from the reader and extract strip-info

  Specified by:
    `parse` in class `ComicParser`
  Parameters:
    `url` - html page url
    `reader` - reader
    `strip` - the strip where to store the info
  Returns:
    the strip url
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD